
- name: Set udev network rules
  template:
    src:  "{{ role_path }}/files/90-network-names.rules"
    dest: /etc/udev/rules.d/90-network-names.rules
    mode: u=rw,g=r,o=r

- import_tasks: hostapd.yml

- import_tasks: "{{ playbook_dir }}/tasks/networkd_overlay.yml"
- name: Enable systemd-networkd
  systemd:
    name: systemd-networkd.service
    enabled: true
    masked: false

- name: Disable dhcpcd
  systemd:
    name: dhcpcd.service
    enabled: false
    masked: true
  failed_when: false